Skip to content

getDemandForecastSources

READ

Get demand forecast sources.

POST /api/v1/items/getDemandForecastSources
curl -X POST '<your-host>/api/v1/items/getDemandForecastSources' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string",
    "periods": []
  }'
Response
{
  "results": [
    {
      "itemId": "string",
      "locationId": "string",
      "periodId": "string",
      "sourceType": "Sales Order",
      "quantity": 0,
      "jobId": "string",
      "salesOrderLineId": "string",
      "demandProjectionId": "string",
      "parentItemId": "string",
      "parentItem": {
        "id": "string",
        "readableId": "string",
        "name": "string"
      },
      "redirectedFromItemId": "string",
      "redirectedFromItem": {
        "id": "string",
        "readableIdWithRevision": "string"
      },
      "job": {
        "id": "string",
        "jobId": "string",
        "dueDate": "string",
        "status": "Closed"
      },
      "salesOrderLine": {
        "id": "string",
        "salesOrderId": "string",
        "promisedDate": "string",
        "salesOrder": {
          "id": "string",
          "salesOrderId": "string"
        }
      },
      "demandProjection": {
        "id": "string",
        "forecastQuantity": 0,
        "forecastMethod": "string",
        "confidence": 0,
        "notes": "string",
        "period": {
          "startDate": "string"
        },
        "createdBy": "string",
        "createdAt": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "periods": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "itemId",
    "locationId",
    "periods"
  ]
}